## golang-github-nicholas-fedor-shoutrrr 0.8.14

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.14-1) sid; urgency=medium

  * Merging upstream version 0.8.14.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Jun 2025 05:03:05 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.13-1) sid; urgency=medium

  * Merging upstream version 0.8.13.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 May 2025 07:18:16 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.9-2) sid; urgency=medium

  * Using codename instead of suitname in changelog.
  * Harmonizing upload need in initial changelog entry.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 May 2025 20:48:52 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.9-1) sid; urgency=low

  * Initial upload to sid, needed for beszel.

 -- Daniel Baumann <daniel@debian.org>  Thu, 22 May 2025 10:16:47 +0200
