## golang-github-nicholas-fedor-shoutrrr 0.8.15

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.15-1) sid; urgency=medium

  * Merging upstream version 0.8.15.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Jun 2025 07:01:51 +0200
