=== debian/control ===
Source: golang-github-nicholas-fedor-shoutrrr
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-fatih-color-dev,
 golang-github-jarcoal-httpmock-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-onsi-ginkgo-v2-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-gomega-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/nicholas-fedor/shoutrrr
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
Vcs-Git: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/nicholas-fedor/shoutrrr

Package: golang-github-nicholas-fedor-shoutrrr-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Notification library for Watchtower (Go library)
 shoutrrr is a Go library for notifications inspired by caronc/apprise.
