=== debian/watch ===
version=4
https://github.com/nicholas-fedor/shoutrrr/tags .*/v?(\d.*)@ARCHIVE_EXT@
