## golang-github-nicholas-fedor-shoutrrr 0.8.17

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.17-1) sid; urgency=medium

  * Merging upstream version 0.8.17.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:39:42 +0200
