## golang-github-nicholas-fedor-shoutrrr 0.8.18

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.18-1) sid; urgency=medium

  * Merging upstream version 0.8.18.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:04:54 +0200
