## golang-github-nicholas-fedor-shoutrrr 0.9.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.9.1-1) sid; urgency=medium

  * Merging upstream version 0.9.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Sep 2025 13:07:50 +0200
