## golang-github-nicholas-fedor-shoutrrr 0.10.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.10.0.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Sep 2025 18:40:22 +0200
