## golang-github-nicholas-fedor-shoutrrr 0.10.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.1-1) sid; urgency=medium

  * Merging upstream version 0.10.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Oct 2025 18:05:49 +0200
