## golang-github-nicholas-fedor-shoutrrr 0.10.3

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.3-1) sid; urgency=medium

  * Merging upstream version 0.10.3.

 -- Daniel Baumann <daniel@debian.org>  Sat, 18 Oct 2025 06:46:00 +0200
