=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-google-dev,
  golang-gomega-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/nicholas-fedor/shoutrrr
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
