## golang-github-nicholas-fedor-shoutrrr 0.11.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.11.0-1) sid; urgency=medium

  * Merging upstream version 0.11.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Oct 2025 17:07:14 +0100
