## golang-github-nicholas-fedor-shoutrrr 0.11.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.11.1-1) sid; urgency=medium

  * Merging upstream version 0.11.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:47:02 +0100
