=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	# removing unused files
	rm -rf debian/golang-github-nicholas-fedor-shoutrrr-dev/usr/bin

override_dh_auto_test:
	# disabled (needs upstream fixes)overri
