=== debian/watch ===
Version: 5

Template: Github
Owner: nicholas-fedor
Project: shoutrrr
