## golang-github-nicholas-fedor-shoutrrr 0.12.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.12.0-1) sid; urgency=medium

  * Merging upstream version 0.12.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 10:00:38 +0100
