## golang-github-nicholas-fedor-shoutrrr 0.12.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 GO=go
 DOCKER=docker
 GORELEASER=goreleaser
-GOLANGCI_LINT=golangci-lint-v2
+GOLANGCI_LINT=golangci-lint
 
 # Default target
 help: ## Show this help message
