=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.12.1-1) sid; urgency=medium

  * Merging upstream version 0.12.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 28 Nov 2025 13:21:39 +0100
