=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.0-1) sid; urgency=medium

  * Merging upstream version 0.13.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 07:27:21 +0100
