## golang-github-nicholas-fedor-shoutrrr 0.13.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.1-1) sid; urgency=medium

  * Merging upstream version 0.13.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 Dec 2025 11:50:58 +0100
