=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.2-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 0.13.2.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2026 06:46:58 +0100
