=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-google-dev,
  golang-gomega-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nicholas-fedor/shoutrrr
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
 Vcs-Git: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
